Bug 466842 - Hundred scim-gtk-panel instances...
Hundred scim-gtk-panel instances...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 00:51 EDT by Baif
Modified: 2009-12-18 01:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:34:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Baif 2008-10-14 00:51:51 EDT
Description of problem:

Hundred scim-gtk-panel instances are forked in KDE after enable SCIM with im-chooser

Version-Release number of selected component (if applicable):


How reproducible:
Just enable SCIM with im-chooser, and then re-login KDE.

I do not know exactly how this issue comes, or please how to do some debug.
Thanks
Comment 1 Baif 2008-10-14 00:53:09 EDT
[baif@office105 ~]$ ps -ef | egrep scim|  awk '("/$0/" ~scim) {print $2}' | fmt
6868 6869 6871 24686 24696 24698 24700 24702 24704 24706 24708 24710
24712 24714 24737 24739 24741 24743 24745 24747 24749 24751 24753 24755
24840 24842 24844 24846 24848 24850 24852 24854 24856 24858 24886 24889
24891 24893 24895 24897 24899 24901 24903 24905 24931 24934 24936 24938
24940 24942 24944 24946 24948 24950 24965 24968 24970 24972 24974 24976
24978 24980 24982 24984 25021 25023 25025 25027 25029 25031 25033 25035
25037 25039 25226 25228 25230 25232 25234 25236 25238 25240 25242 25244
25256 25258 25260 25262 25264 25266 25268 25270 25272 25274 25286 25288
25290 25292 25294 25296 25298 25300 25302 25304 25316 25318 25320 25322
25324 25326 25328 25330 25332 25334 25405 25409 25411 25413 25415 25417
25419 25421 25423 25425 25437 25439 25441 25443 25445 25447 25449 25452
25454 25456 25476 25479 25481 25483 25485 25487 25489 25491 25493 25495
25507 25509 25511 25513 25515 25517 25519 25521 25523 25525 25537 25539
25541 25543 25545 25547 25549 25551 25553 25555 25567 25569 25571 25573
25575 25577 25579 25581 25583 25585 25604 25606 25609 25611 25613 25615
25617 25619 25621 25623 25659 25661 25663 25665 25667 25669 25671 25673
25675 25677 25689 25691 25693 25695 25697 25699 25701 25703 25705 25719
25721 25723 25725 25727 25747 25748 25783 25784 25785 25899 25900
Comment 2 Baif 2008-10-14 00:54:30 EDT
[baif@office105 ~]$ ps -ef | egrep scim|  awk '("/$0/" ~scim-panel-gtk) {print $2}' | fmt
6868 6869 6871 24686 24696 24698 24700 24702 24704 24706 24708 24710
24712 24714 24737 24739 24741 24743 24745 24747 24749 24751 24753 24755
24840 24842 24844 24846 24848 24850 24852 24854 24856 24858 24886 24889
24891 24893 24895 24897 24899 24901 24903 24905 24931 24934 24936 24938
24940 24942 24944 24946 24948 24950 24965 24968 24970 24972 24974 24976
24978 24980 24982 24984 25021 25023 25025 25027 25029 25031 25033 25035
25037 25039 25226 25228 25230 25232 25234 25236 25238 25240 25242 25244
25256 25258 25260 25262 25264 25266 25268 25270 25272 25274 25286 25288
25290 25292 25294 25296 25298 25300 25302 25304 25316 25318 25320 25322
25324 25326 25328 25330 25332 25334 25405 25409 25411 25413 25415 25417
25419 25421 25423 25425 25437 25439 25441 25443 25445 25447 25449 25452
25454 25456 25476 25479 25481 25483 25485 25487 25489 25491 25493 25495
25507 25509 25511 25513 25515 25517 25519 25521 25523 25525 25537 25539
25541 25543 25545 25547 25549 25551 25553 25555 25567 25569 25571 25573
25575 25577 25579 25581 25583 25585 25604 25606 25609 25611 25613 25615
25617 25619 25621 25623 25659 25661 25663 25665 25667 25669 25671 25673
25675 25677 25689 25691 25693 25695 25697 25699 25701 25703 25705 25719
25721 25723 25725 25727 25747 25748 25783 25784 25785 25903 25904
Comment 3 Jens Petersen 2008-10-27 23:29:26 EDT
(You could use "pgrep scim-panel-gtk | wc -l" say.)

Can you still reproduce this with current rawhide?
I just tried it and scim seems to be working normally for me.
Comment 4 Baif 2008-10-28 21:24:54 EDT
Sorry :)
I'm not sure that could be reproduced with current rawhide, because my KDE was "freezed" again... It looks like the other bug came back again.
Comment 5 Jens Petersen 2008-10-29 03:49:19 EDT
Ok, let me close it for now since it works for me - please reopen if you still see a problem.
Comment 6 Baif 2008-10-29 22:22:45 EDT
I had updated the whole system to latest rawhide last night. And there are still hundred scim-gtk-panel instances ......
Comment 7 Baif 2008-10-29 22:54:28 EDT
scim-hangul-0.3.2-4.fc9.x86_64
scim-bridge-0.4.15-7.fc10.x86_64
scim-pinyin-0.5.91-25.fc9.x86_64
scim-chewing-0.3.1.901-0.fc10.x86_64
scim-bridge-qt-0.4.15-7.fc10.x86_64
scim-anthy-1.2.6-1.fc10.x86_64
scim-python-pinyin-0.1.13rc1-1.fc10.x86_64
scim-libs-1.4.7-35.fc10.x86_64
scim-1.4.7-35.fc10.x86_64
scim-m17n-0.2.2-3.fc9.x86_64
scim-python-0.1.13rc1-1.fc10.x86_64
scim-bridge-gtk-0.4.15-7.fc10.x86_64
kdebase-4.1.2-5.fc10.x86_64
im-chooser-1.2.5-1.fc10.x86_64
Comment 8 Bug Zapper 2008-11-25 22:50:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Jens Petersen 2009-01-29 02:57:57 EST
Perhaps you could try removing the scim engines for the languages that you do not need and see of that makes any difference?
Comment 10 Bug Zapper 2009-11-18 03:34:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:34:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.